﻿const spreadNS = GC.Spread.Sheets;
const chartNS = GC.Spread.Sheets.Charts;

interface ChartPosition {
    x: number,
    y: number,
    width: number,
    height:number
}
interface SeriesItem {
    xValues: string,
    yValues: string,
    name:string
}
function _getElementFromId(id: string) {
    return document.getElementById(id);
}
function setAxisMinMax(chart,min:number,max:number) {
    // set min,max for the Axis
    let axis = chart.axes();
    axis.primaryValue.min = min;
    axis.primaryValue.max = max;
    chart.axes(axis);
}

function setChartTitle(chart,title:string) {
    var chartTitle = chart.title();
    chartTitle.text = title;
    chart.title(chartTitle);
}
function addChart(sheet,chartName:string,chartType:string,position:ChartPosition,seriesItem:SeriesItem) {
    let chart = sheet.charts.add(chartName, chartNS.ChartType[chartType], position.x, position.y, position.width, position.height);
    chart.series().add(seriesItem);
    return chart;
}