/// <reference path="vendor/gc.spread.sheets.d.ts" />
/// <reference path="Util.ts" />
onload = function () {
    var spread = new spreadNS.Workbook(_getElementFromId('ss'));
    spread.suspendPaint();
    // add 2 Sheets
    spread.setSheetCount(2);
    //set Sheets Name
    var dataSheet = spread.getSheet(0);
    var chartSheet = spread.getSheet(1);
    dataSheet.name("BitCoin Data");
    chartSheet.name("DisplayBlanksAs Chart");
    // set dataSource into Sheet1
    setDataSpreadSheet(dataSheet, getBitCoinOpenCloseData().slice(0, 18), 1, 1);
    dataSheet.setRowCount(50);
    //set null values for some cell
    dataSheet.setValue(5, 5, null);
    dataSheet.setValue(9, 5, null);
    //format the BVolIndex column
    dataSheet.getRange(2, 5, dataSheet.getRowCount() - 2, 1).formatter("#,##0.00");
    //add chart to Sheet2
    addDisplayBlanksAsChart(chartSheet);
    //change sheet index to show chart
    spread.setActiveSheetIndex(1);
    spread.resumePaint();
};
function addDisplayBlanksAsChart(sheet) {
    var seriesItem1 = {
        xValues: "'BitCoin Data'!$B3:$B19",
        yValues: "'BitCoin Data'!$F3:$F19",
        name: "'BitCoin Data'!$F2"
    };
    var chart = addChart(sheet, "TrendLine", "line", { x: 50, y: 50, width: 900, height: 400 }, seriesItem1);
    setChartTitle(chart, "BitCoin");
    chart.displayBlanksAs(chartNS.DisplayBlanksAs.zero);
}
//# sourceMappingURL=displayBlankAs.js.map