/// <reference path="vendor/gc.spread.sheets.d.ts" />
onload = function () {
    var spread = new spreadNS.Workbook(_getElementFromId('ss'));
    spread.suspendPaint();
    // add 2 Sheets
    spread.setSheetCount(2);
    //set Sheets Name
    var dataSheet = spread.getSheet(0);
    var chartSheet = spread.getSheet(1);
    dataSheet.name("BitCoin Volatility Index");
    chartSheet.name("Logarithmic Axis");
    // set dataSource into Sheet1
    setDataSpreadSheet(dataSheet, getCryptoCurrenciesData(), 1, 1);
    //format the BVolIndex column
    dataSheet.getRange(2, 5, dataSheet.getRowCount() - 2, 1).formatter("#,##0.00%");
    //add chart to Sheet2
    addLogarithmicAxisChart(chartSheet);
    spread.setActiveSheetIndex(1);
    spread.resumePaint();
};
function addLogarithmicAxisChart(sheet) {
    //check cross sheet reference in Chart//"'BitCoin Volatility Index'!$B2:$B33,'BitCoin Volatility Index'!$E2:$E33"
    var seriesItem = {
        xValues: "'BitCoin Volatility Index'!$B3:$B17",
        yValues: "'BitCoin Volatility Index'!$D3:$D17",
        name: "Bitcoin"
    };
    var chart = addChart(sheet, "TrendLine", "line", { x: 100, y: 100, width: 900, height: 400 }, seriesItem);
    window["chart"] = chart;
    var series = chart.series().get(0);
    //series.name="BitCoin";
    setAxisMinMax(chart, -1, 11000);
    setChartTitle(chart, "BitCoin");
    //add TrendLine
    setLogarithmicAxis(chart, 0, 3, 1.0);
}
//set error bars
function setLogarithmicAxis(chart, seriesIndex, valueType, value) {
    var axis = chart.axes();
    axis.primaryValue.scaling = {
        logBase: 10
    };
    chart.axes(axis);
}
//# sourceMappingURL=logarithmic.js.map