/// <reference path="vendor/gc.spread.sheets.d.ts" />
onload = function () {
    var spread = new spreadNS.Workbook(_getElementFromId('ss'));
    spread.suspendPaint();
    // add 2 Sheets
    spread.setSheetCount(4);
    //set Sheets Name
    var dataSheet = spread.getSheet(0);
    console.log(dataSheet.name());
    var chartSheet = spread.getSheet(1);
    dataSheet.name("BitCoin Volatility Index");
    chartSheet.name("10per Mov Avg");
    // add new sheet for chart 50per
    spread.getSheet(2).name("50per Mov Avg");
    spread.getSheet(3).name("100per Mov Avg");
    dataSheet.setRowCount(368);
    // set dataSource into Sheet1
    setDataSpreadSheet(dataSheet, getBitCoinOpenCloseData(), 1, 1);
    //format the BVolIndex column
    dataSheet.getRange(2, 5, dataSheet.getRowCount() - 2, 1).formatter("#,##0.00");
    //add chart to Sheet2
    addChartTrendLine(chartSheet, 10);
    addChartTrendLine(spread.getSheet(2), 50);
    addChartTrendLine(spread.getSheet(3), 100);
    //change sheet index to show chart
    spread.setActiveSheetIndex(1);
    spread.resumePaint();
};
function addChartTrendLine(sheet, movingAveragePeriod) {
    var seriesItem = {
        xValues: "'BitCoin Volatility Index'!$B3:$B368",
        yValues: "'BitCoin Volatility Index'!$F3:$F368",
        name: "'BitCoin Volatility Index'!$F2"
    };
    var chart = addChart(sheet, sheet.name(), "line", { x: 50, y: 50, width: 900, height: 400 }, seriesItem);
    setAxisMinMax(chart, 3000, 13500);
    //set chart title
    setChartTitle(chart, "BitCoin");
    //add TrendLine
    setTrendLine(chart, movingAveragePeriod, sheet.name());
}
//set trendline
function setTrendLine(chart, movingAveragePeriod, name) {
    var series = chart.series().get(0);
    var trendLine = {
        type: 3,
        period: movingAveragePeriod,
        style: {
            color: 'orange',
            width: 2,
            dashStyle: 0
        },
        name: name
    };
    series.trendlines = [trendLine];
    chart.series().set(0, series);
}
//# sourceMappingURL=trendLine.js.map